From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/peewee/
Date: Sat, 11 May 2024 05:19:38 +0000 (UTC) [thread overview]
Message-ID: <1715404660.6d6ecefcdafa4c06fbff1ee6763db4aa4df52727.mgorny@gentoo> (raw)
commit: 6d6ecefcdafa4c06fbff1ee6763db4aa4df52727
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May 11 05:06:32 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 11 05:17:40 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d6ecefc
dev-python/peewee: Bump to 3.17.5
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/peewee/Manifest | 1 +
dev-python/peewee/peewee-3.17.5.ebuild | 72 ++++++++++++++++++++++++++++++++++
2 files changed, 73 insertions(+)
diff --git a/dev-python/peewee/Manifest b/dev-python/peewee/Manifest
index 55f7d59bd05a..d8b008aff269 100644
--- a/dev-python/peewee/Manifest
+++ b/dev-python/peewee/Manifest
@@ -1 +1,2 @@
DIST peewee-3.17.3.gh.tar.gz 926892 BLAKE2B e5d378da37f7fda74c75d3c3998e3fae79e9b8c7d66ca5a17e76a7b855c9d7ae159b4eedb97f68c9ec13cf00f2268f425b36273e7b09fbd001364e748d13bc95 SHA512 d7d0c716c1b6600275c151894ea8738c3393e554627ae4d8cf0d52548be99cfaf31e5553f51762cedc7f9e66a779ddef60d305a3797e3db71ac1a2178bb45468
+DIST peewee-3.17.5.gh.tar.gz 927674 BLAKE2B 45d23ebec38363a83441c916def460d76c7fe54175497df53de5a904d57b3d2cdbe077f757028b85f6a5eba0e65f1eab9ee99ceea11a00a9b111fce842ccd010 SHA512 b9878450a0759740f28cb6425ba0f14aa92e037bc4c888c13ae24bc38993787e64bff6342edcdf5364b5aac97c405e1c8e53e1140016e6bdbeba6d57d7f339ec
diff --git a/dev-python/peewee/peewee-3.17.5.ebuild b/dev-python/peewee/peewee-3.17.5.ebuild
new file mode 100644
index 000000000000..1db76107559a
--- /dev/null
+++ b/dev-python/peewee/peewee-3.17.5.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+DESCRIPTION="Small Python ORM"
+HOMEPAGE="
+ https://github.com/coleifer/peewee/
+ https://pypi.org/project/peewee/
+"
+SRC_URI="
+ https://github.com/coleifer/peewee/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+IUSE="examples +native-extensions test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ native-extensions? ( dev-db/sqlite:3= )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-db/postgresql
+ dev-python/psycopg:0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx-rtd-theme
+
+src_compile() {
+ if ! use native-extensions; then
+ local -x NO_SQLITE=1
+ fi
+
+ distutils-r1_src_compile
+}
+
+src_test() {
+ initdb -D "${T}"/pgsql || die
+ pg_ctl -w -D "${T}"/pgsql start -o "-h '' -k '${T}'" || die
+ createdb -h "${T}" peewee_test || die
+
+ local -x PEEWEE_PSQL_HOST="${T}"
+ distutils-r1_src_test
+
+ pg_ctl -w -D "${T}"/pgsql stop || die
+}
+
+python_test() {
+ "${EPYTHON}" runtests.py -v 2 || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use examples && DOCS=( examples/ )
+ distutils-r1_python_install_all
+}
next reply other threads:[~2024-05-11 5:19 UTC|newest]
Thread overview: 122+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-05-11 5:19 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-22 11:23 [gentoo-commits] repo/gentoo:master commit in: dev-python/peewee/ Michał Górny
2025-02-22 9:23 Arthur Zamarin
2025-02-06 4:10 Michał Górny
2024-11-30 13:46 Michał Górny
2024-11-30 12:58 Arthur Zamarin
2024-11-30 11:40 Michał Górny
2024-11-13 6:55 Michał Górny
2024-11-02 12:50 Michał Górny
2024-11-02 12:08 Arthur Zamarin
2024-11-02 8:49 Michał Górny
2024-10-16 4:54 Michał Górny
2024-07-27 10:06 Michał Górny
2024-07-27 9:08 Arthur Zamarin
2024-07-27 7:05 Arthur Zamarin
2024-07-22 14:08 Michał Górny
2024-07-22 14:08 Michał Górny
2024-07-06 19:11 Arthur Zamarin
2024-06-15 17:33 Michał Górny
2024-05-25 6:33 Michał Górny
2024-05-25 6:22 Sam James
2024-05-25 6:08 Arthur Zamarin
2024-05-04 11:32 Michał Górny
2024-05-04 9:48 Arthur Zamarin
2024-05-04 7:57 Arthur Zamarin
2024-04-18 5:34 Michał Górny
2024-04-17 13:52 Michał Górny
2024-02-20 14:13 Michał Górny
2024-02-20 14:06 Jakov Smolić
2024-02-20 7:45 Sam James
2024-02-06 3:07 Michał Górny
2023-11-15 21:10 Michał Górny
2023-11-15 17:40 Sam James
2023-11-15 16:34 Arthur Zamarin
2023-10-14 6:29 Michał Górny
2023-09-02 3:30 Sam James
2023-09-02 3:30 Sam James
2023-09-01 12:16 Sam James
2023-08-14 14:55 Michał Górny
2023-08-14 14:55 Michał Górny
2023-07-30 12:46 Sam James
2023-07-30 12:44 Sam James
2023-05-23 18:38 Michał Górny
2023-05-23 17:48 Arthur Zamarin
2023-05-23 15:54 Arthur Zamarin
2023-04-22 6:17 Michał Górny
2023-04-19 6:16 Michał Górny
2023-03-30 16:47 Michał Górny
2023-03-30 16:42 Sam James
2023-03-30 16:29 Arthur Zamarin
2023-02-28 4:31 Sam James
2023-02-27 17:49 Michał Górny
2022-12-17 7:08 Michał Górny
2022-12-16 21:24 Arthur Zamarin
2022-12-16 20:04 Arthur Zamarin
2022-11-12 7:33 Michał Górny
2022-10-25 9:33 Michał Górny
2022-10-25 9:28 Sam James
2022-10-25 8:52 Sam James
2022-09-26 6:15 Michał Górny
2022-09-25 23:58 Sam James
2022-09-22 12:15 Michał Górny
2022-08-26 16:01 Arthur Zamarin
2022-07-25 7:14 Michał Górny
2022-07-25 7:07 Agostino Sarubbo
2022-07-12 15:48 Michał Górny
2022-06-18 6:47 Michał Górny
2022-06-04 7:42 Michał Górny
2022-04-16 15:58 Michał Górny
2022-04-16 7:38 Sam James
2022-04-16 7:38 Sam James
2022-03-24 22:50 Jakov Smolić
2022-03-09 18:26 Arthur Zamarin
2021-12-03 8:42 Michał Górny
2021-12-03 7:57 Arthur Zamarin
2021-12-02 8:54 Jakov Smolić
2021-10-28 20:51 Michał Górny
2021-10-28 7:00 Michał Górny
2021-06-04 14:40 Michał Górny
2021-04-22 15:07 Michał Górny
2021-04-22 12:11 Sam James
2021-04-22 12:08 Sam James
2021-04-11 11:23 Michał Górny
2021-04-11 11:06 Sam James
2021-04-07 6:22 Sam James
2021-03-20 7:22 Michał Górny
2021-03-15 15:03 Michał Górny
2021-03-15 13:43 Sam James
2021-03-15 6:30 Sam James
2021-03-11 22:59 Michał Górny
2021-03-04 22:21 Michał Górny
2021-03-02 9:06 Michał Górny
2021-03-02 7:39 Sam James
2021-03-02 7:38 Sam James
2021-02-08 8:44 Michał Górny
2020-12-31 6:26 Sam James
2020-12-31 6:07 Sam James
2020-08-02 8:36 Michał Górny
2020-07-15 5:58 Michał Górny
2020-05-12 6:39 Agostino Sarubbo
2020-05-12 6:31 Agostino Sarubbo
2020-04-26 16:53 Michał Górny
2020-04-25 8:49 Michał Górny
2020-04-25 8:48 Michał Górny
2018-06-24 9:40 Mikle Kolyada
2018-02-25 7:28 Patrick Lauer
2018-02-25 7:28 Patrick Lauer
2017-09-29 17:06 Patrick Lauer
2017-09-16 18:06 Patrick Lauer
2017-05-15 13:49 Manuel Rüger
2017-05-02 17:43 Michał Górny
2016-07-21 7:00 Tiziano Müller
2016-03-15 15:27 Agostino Sarubbo
2016-03-06 12:58 Agostino Sarubbo
2016-02-18 9:18 Patrice Clement
2016-02-18 9:18 Patrice Clement
2016-02-18 9:18 Patrice Clement
2016-01-05 11:20 Patrick Lauer
2015-12-02 9:33 Patrice Clement
2015-09-20 10:50 Justin Lecher
2015-08-26 11:00 Agostino Sarubbo
2015-08-10 10:22 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1715404660.6d6ecefcdafa4c06fbff1ee6763db4aa4df52727.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox